> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Submit Feedback

POST https://api.filesearch.dev/feedback

Submit feedback about the Captain API or docs as plain text.

Reference: https://docs.filesearch.dev/reference/feedback/submit-feedback

## Request

### Query parameters

- `agent` (string, optional, nullable) — Optional agent/tool name (e.g. 'claude-code').
- `client_version` (string, optional, nullable) — Optional client or SDK version.
- `source` (string, optional, nullable) — Optional source doc/page the feedback is about.

## Response

### 200

Successful Response

- `any`

## Examples

**SDK Code**

```python
import json
import requests
import uuid

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {
    "Authorization": f"Bearer {API_KEY}",
    "Idempotency-Key": str(uuid.uuid4()),
}

params = {
    "agent": "example_agent",
    "client_version": "example_client_version",
    "source": "example_source"
}

response = requests.post(
    f"{BASE_URL}/feedback",
    headers=headers,
    params=params,
    timeout=30.0
)

print(json.dumps(response.json(), indent=2))
```

```typescript
const BASE_URL = "https://api.filesearch.dev";

const API_KEY = "your_api_key";

const headers = {
  Authorization: `Bearer ${API_KEY}`,
  "Idempotency-Key": crypto.randomUUID(),
};

const params = new URLSearchParams({
  "agent": "example_agent",
  "client_version": "example_client_version",
  "source": "example_source"
});

const response = await fetch(`${BASE_URL}/feedback?${params}`, {
  method: "POST",
  headers,
});

const data = await response.json();
console.log(JSON.stringify(data, null, 2));
```